Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface STCEntry

All Known Implementing Classes:
  STCEntryImpl

    public interface STCEntry

Entry interface that models an LDAP entry.

Version:
  $Revision: 1.4 $
Author:

Method Summary
`int` | `countAttribute()` Returns the number of attributes
`STCAttributes` | `getAttributes()` Gets the attributes of the entry
`java.lang.String` | `getName()` Gets the name of the entry
`void` | `reset()` Method to reset the values
`STCAttribute` | `retrieveSTCAttribute(int i)` Returns the attribute at the specified index from the array of attributes
`void` | `setName(java.lang.String name)` Sets the name of the entry

Method Detail

### setName

    void setName(java.lang.String name)

  Sets the name of the entry

  Parameters:
    `name` - the entry name

### getName

    java.lang.String getName()

  Gets the name of the entry

  Returns:
    the entry name

### getAttributes

    STCAttributes getAttributes()

  Gets the attributes of the entry

  Returns:
    the list of attributes of the entry as a STCAttributes object

### retrieveSTCAttribute

    STCAttribute retrieveSTCAttribute(int i)
                                      throws java.lang.IndexOutOfBoundsException

  Returns the attribute at the specified index from the array of attributes

  Parameters:
    `i` - the index of the attribute to be returned
  Returns:
    the attribute as a STCAttribute object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

### countAttribute

    int countAttribute()

  Returns the number of attributes

  Returns:
    the count of attributes

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD